net.minecraft.client.gui

## Class GuiKeyBindingList.CategoryEntry

- java.lang.Object
- - net.minecraft.client.gui.GuiKeyBindingList.CategoryEntry

- All Implemented Interfaces:
    GuiListExtended.IGuiListEntry
  Enclosing class:
    GuiKeyBindingList

      public class GuiKeyBindingList.CategoryEntry
      extends java.lang.Object
      implements GuiListExtended.IGuiListEntry

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiKeyBindingList.CategoryEntry(java.lang.String p_i45028_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawEntry(int p_148279_1_, int p_148279_2_, int p_148279_3_, int p_148279_4_, int p_148279_5_, Tessellator p_148279_6_, int p_148279_7_, int p_148279_8_, boolean p_148279_9_)`
    `boolean` | `mousePressed(int p_148278_1_, int p_148278_2_, int p_148278_3_, int p_148278_4_, int p_148278_5_, int p_148278_6_)`
    `void` | `mouseReleased(int p_148277_1_, int p_148277_2_, int p_148277_3_, int p_148277_4_, int p_148277_5_, int p_148277_6_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiKeyBindingList.CategoryEntry

          public GuiKeyBindingList.CategoryEntry(java.lang.String p_i45028_2_)

  - ### Method Detail

    - #### drawEntry

          public void drawEntry(int p_148279_1_,
                       int p_148279_2_,
                       int p_148279_3_,
                       int p_148279_4_,
                       int p_148279_5_,
                       Tessellator p_148279_6_,
                       int p_148279_7_,
                       int p_148279_8_,
                       boolean p_148279_9_)

      Specified by:
        `drawEntry` in interface `GuiListExtended.IGuiListEntry`

    - #### mousePressed

          public boolean mousePressed(int p_148278_1_,
                             int p_148278_2_,
                             int p_148278_3_,
                             int p_148278_4_,
                             int p_148278_5_,
                             int p_148278_6_)

      Specified by:
        `mousePressed` in interface `GuiListExtended.IGuiListEntry`

    - #### mouseReleased

          public void mouseReleased(int p_148277_1_,
                           int p_148277_2_,
                           int p_148277_3_,
                           int p_148277_4_,
                           int p_148277_5_,
                           int p_148277_6_)

      Specified by:
        `mouseReleased` in interface `GuiListExtended.IGuiListEntry`